| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Data Structures | Functions | Macros | Variables
LTC2492_Thermocouple_Meter.ino File Reference

Go to the source code of this file.

## Data Structures
struct | fourbytes

## Functions
LiquidCrystal | lcd (RS, E, D4, D5, D6, D7)
static void | setup ()
static void | loop ()
static float | type_K_V2C (float tc_voltage, float cj_voltage)
static int32_t | read_LTC2492 (char channel, char config)
static void | calibrate (void)
static void | read_calibration (void)

## Macros
#define | HARDCODED_CONSTANTS
#define | CAL_JUMPER 1
#define | INC_BUTTON 2
#define | DEC_BUTTON 3
#define | CS 9

## Variables
const int16_t | RS = 3
const int16_t | E = 2
const int16_t | D4 = A0
const int16_t | D5 = A1
const int16_t | D6 = A2
const int16_t | D7 = A3
int32_t | x
float | cj_voltage
float | poly_voltage
float | ptat_voltage
float | cj_raw
float | tc_raw
float | cj_temp
float | vref = 1.25
union {
float fp
struct fourbytes by
} | vin_cal
union {
float fp
struct fourbytes by
} | ptat_cal

## Function Documentation

## ◆ calibrate()

static void calibrate | ( | void |  | ) |
| static

Definition at line 356 of file LTC2492_Thermocouple_Meter.ino.

## ◆ lcd()

LiquidCrystal lcd | ( | RS | ,
|  | E | ,
|  | D4 | ,
|  | D5 | ,
|  | D6 | ,
|  | D7 |
| ) |  |

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 194 of file LTC2492_Thermocouple_Meter.ino.

## ◆ read_calibration()

static void read_calibration | ( | void |  | ) |
| static

Definition at line 424 of file LTC2492_Thermocouple_Meter.ino.

## ◆ read_LTC2492()

static int32_t read_LTC2492 | ( | char | channel,
|  | char | config
| ) |  |
| static

Definition at line 323 of file LTC2492_Thermocouple_Meter.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 156 of file LTC2492_Thermocouple_Meter.ino.

## ◆ type_K_V2C()

static float type_K_V2C | ( | float | tc_voltage,
|  | float | cj_voltage
| ) |  |
| static

Definition at line 268 of file LTC2492_Thermocouple_Meter.ino.

## Macro Definition Documentation

## ◆ CAL_JUMPER

#define CAL_JUMPER 1

Definition at line 93 of file LTC2492_Thermocouple_Meter.ino.

## ◆ CS

#define CS 9

Definition at line 96 of file LTC2492_Thermocouple_Meter.ino.

## ◆ DEC_BUTTON

#define DEC_BUTTON 3

Definition at line 95 of file LTC2492_Thermocouple_Meter.ino.

## ◆ HARDCODED_CONSTANTS

#define HARDCODED_CONSTANTS

Definition at line 84 of file LTC2492_Thermocouple_Meter.ino.

## ◆ INC_BUTTON

#define INC_BUTTON 2

Definition at line 94 of file LTC2492_Thermocouple_Meter.ino.

## Variable Documentation

## ◆ by

struct fourbytes by

Definition at line 140 of file LTC2492_Thermocouple_Meter.ino.

## ◆ cj_raw

float cj_raw

Definition at line 125 of file LTC2492_Thermocouple_Meter.ino.

## ◆ cj_temp

float cj_temp

Definition at line 127 of file LTC2492_Thermocouple_Meter.ino.

## ◆ cj_voltage

float cj_voltage

Definition at line 121 of file LTC2492_Thermocouple_Meter.ino.

## ◆ D4

const int16_t D4 = A0

Definition at line 102 of file LTC2492_Thermocouple_Meter.ino.

## ◆ D5

const int16_t D5 = A1

Definition at line 103 of file LTC2492_Thermocouple_Meter.ino.

## ◆ D6

const int16_t D6 = A2

Definition at line 104 of file LTC2492_Thermocouple_Meter.ino.

## ◆ D7

const int16_t D7 = A3

Definition at line 105 of file LTC2492_Thermocouple_Meter.ino.

## ◆ E

const int16_t E = 2

Definition at line 101 of file LTC2492_Thermocouple_Meter.ino.

## ◆ fp

float fp

Definition at line 139 of file LTC2492_Thermocouple_Meter.ino.

## ◆ poly_voltage

float poly_voltage

Definition at line 123 of file LTC2492_Thermocouple_Meter.ino.

## ◆ ptat_cal

union { ... } ptat_cal

## ◆ ptat_voltage

float ptat_voltage

Definition at line 124 of file LTC2492_Thermocouple_Meter.ino.

## ◆ RS

const int16_t RS = 3

Definition at line 100 of file LTC2492_Thermocouple_Meter.ino.

## ◆ tc_raw

float tc_raw

Definition at line 126 of file LTC2492_Thermocouple_Meter.ino.

## ◆ vin_cal

union { ... } vin_cal

## ◆ vref

float vref = 1.25

Definition at line 129 of file LTC2492_Thermocouple_Meter.ino.

## ◆ x

int32_t x

Definition at line 119 of file LTC2492_Thermocouple_Meter.ino.